# ~/.bashrc: executed by bash(1) for non-login shells.

# --------------------------------
# Shell RC
# --------------------------------
PS1='${debian_chroot:+($debian_chroot)}\[\033[01;41m\]$(hostname)\[\033[00m\]\[\033[01;34m\] \w\[\033[00m\] \$ '

#
# Variables
#
export EDITOR=n
export PATH=~/bin:$PATH

#
# Aliases
#
alias ls='ls -al --color'
alias q=exit
alias a=clear
alias h=history
alias e=$EDITOR

#
# Functions
#
function myvim () {
    gvim $1 >& /dev/null &
    disown %1
}

function n () {
    /opt/neovim/nvim $* || nvim $*
}

function hgrep () {
    history | grep $1
}

function pgrep () {
    ps aux | grep $1
}

function u2d () {
    ~mahesh/git/snips/get_neovim.sh
    ~mahesh/git/snips/get_wezterm.sh
    cd
    if [ -e /etc/arch-release ]; then
        pacman -Syu
    elif [ -e /etc/debian_version ]; then
        apt update && apt full-upgrade -y && apt autoremove -y
    else
        echo "Auto update not supported."
        exit 1
    fi
}
